%define name 	iftop 
%define version 0.17
%define release %mkrel 2

Name: 		%name
Summary: 	Command line tool that displays bandwidth usage on an interface
Version: 	%version
Release: 	%release
Source: 	http://www.ex-parrot.com/~pdw/iftop/download/%{name}-%{version}.tar.bz2
URL: 		http://www.ex-parrot.com/~pdw/iftop/ 
Group: 		Monitoring 
BuildRoot: 	%{_tmppath}/%{name}-buildroot
License: 	GPL
BuildRequires: 	libpcap-devel libncurses-devel texinfo

%description
iftop does for network usage what top(1) does for CPU usage. It listens to
network traffic on a named interface and displays a table of current bandwidth
usage by pairs of hosts. Handy for answering the question "why is our ADSL link
so slow?".

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m755 iftop $RPM_BUILD_ROOT%{_sbindir}
install -m 644 iftop.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_sbindir}/iftop
%doc README COPYING TODO INSTALL
%{_mandir}/man8/*


%changelog
* Mon Nov 13 2006 Thomas Backlund <tmb@mandriva.org> 0.17-2mdv2007.0
+ Revision: 83884
- rebuild because of breakage due to ncurses rollback
- initial import to 2007.0 updates
- rebuild because of breakage due to ncurses rollback
- Import iftop



* Tue Apr 04 2006 Erwan Velu <erwan@seanodes.com> 0.17-1mdk
- 0.17

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.16-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.16-1mdk
- 0.16

* Tue Nov 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.15-1mdk
- 0.15

* Fri Jun 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.13-1mdk
- 0.13

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.11-2mdk
- buildrequires

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.11-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- new version

* Tue Oct 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10-1mdk
- 0.10

* Wed Oct 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- do not gzip manpage
- from Matthias Debus <psic4t@netbands.de> :
	- New version
	- Birthday edition (mine, actually :)

* Thu Oct 17 2002 Matthias Debus <psic4t@netbands.de> 0.8-1mdk
- Initial package
